unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, CheckBoxThemed, Forms, Controls, Graphics,
  Dialogs, StdCtrls, Windows, RadioButtonWordWrap;

type

  { TForm1 }

  TForm1 = class(TForm)
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButtonWordWrap: TRadioButtonWordWrap;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }





procedure TForm1.FormCreate(Sender: TObject);

  procedure RadioButtonEnableWordWrap(ARadioButton: TRadioButton);
    var
      rb: DWORD;
    begin

      rb := GetWindowLong(ARadioButton.Handle, GWL_STYLE);

      if rb <> 0 then begin
         rb := rb or BS_MULTILINE or BS_VCENTER;
         SetWindowLong(ARadioButton.Handle, GWL_STYLE, rb);
         ARadioButton.Invalidate;
      end;

    end;

begin

  RadioButtonEnableWordWrap(RadioButton1);
  RadioButtonEnableWordWrap(RadioButton2);


  RadioButtonWordWrap := TRadioButtonWordWrap.Create(self);
  RadioButtonWordWrap.Caption := 'Dieser RadioButton hat auch einen sehr langen Text, der umgebrochen werden sollte.';
  RadioButtonWordWrap.BorderSpacing.Around := 10;
  RadioButtonWordWrap.Align := alTop;
  RadioButtonWordWrap.Parent := self;

  RadioButtonWordWrap.WordWrap := true;
end;

end.

